:: %1 - folder name (e.g. "50")
:: %2 - version (e.g. "501")


@ECHO OWBasic %2
@ECHO ===========
@ECHO.
@ECHO mk?
@ECHO buildall?
@ECHO doc/pdf?
@ECHO hbuild?
@ECHO wbuild?
PAUSE

SET path=C:\Programme\zip\;%path%



::::::::::::::::::::::::::::::
:: clear folder             ::
::::::::::::::::::::::::::::::

MD %1
CD %1
IF EXIST OWB*.zip zip -j -9 pre%2.zip *.*
RD /S /Q .\



::::::::::::::::::::::::::::::
:: create directories       ::
::::::::::::::::::::::::::::::

MD OWBbaseD%2
MD OWBbaseD%2a
MD OWBbaseE%2
MD OWBbaseE%2a
MD OWBpdfD%2
MD OWBsrc%2
MD OWBhsrc%2



::::::::::::::::::::::::::::::
:: fill OWBbase directories ::
::::::::::::::::::::::::::::::

COPY /Y ..\..\changes%1.log ..\build\template1\changes%1.log
COPY /Y ..\..\changes%1.log ..\build\template2\changes%1.log
COPY ..\build\template1\*.* OWBbaseD%2\*.*
COPY ..\build\template2\*.* OWBbaseD%2a\*.*
COPY ..\build\template1\*.* OWBbaseE%2\*.*
COPY ..\build\template2\*.* OWBbaseE%2a\*.*

COPY ..\build\files\liesmich.txt OWBbaseD%2
COPY ..\build\files\readme.txt OWBbaseE%2
COPY ..\build\files\liesmich.txt OWBbaseD%2a
COPY ..\build\files\readme.txt OWBbaseE%2a

COPY ..\..\user_bin\OWBasic.pva OWBbaseD%2a
COPY ..\..\user_bin\OWBasic.pva OWBbaseE%2a
COPY ..\..\..\User_Bin\OWBasic.bin OWBbaseD%2
COPY ..\..\..\User_Bin\OWBasic.bin OWBbaseE%2

COPY ..\..\doc\help\OWBdref.aid OWBbaseD%2a
COPY ..\..\doc\help\OWBeref.aid OWBbaseE%2a
COPY ..\..\doc\help\OWBdref.adt OWBbaseD%2
COPY ..\..\doc\help\OWBeref.adt OWBbaseE%2

zip -j -9 OWBbaseD%2.zip OWBbaseD%2\*.*
zip -j -9 OWBbaseD%2a.zip OWBbaseD%2a\*.*
zip -j -9 OWBbaseE%2.zip OWBbaseE%2\*.*
zip -j -9 OWBbaseE%2a.zip OWBbaseE%2a\*.*



::::::::::::::::::::::::::::::
:: fill OWBhtml files       ::
::::::::::::::::::::::::::::::

zip -j -9 OWBhtmlD%2.zip ..\..\doc\help\htmld\*.*
zip -j -9 OWBhtmlE%2.zip ..\..\doc\help\htmle\*.*



::::::::::::::::::::::::::::::
:: fill OWBpdf file         ::
::::::::::::::::::::::::::::::

zip -j -9 OWBpdfD%2.zip ..\..\doc\OWB%2D.*



::::::::::::::::::::::::::::::
:: fill OWBsrc directory    ::
::::::::::::::::::::::::::::::

:: OWBasic
DEL /S /Q ..\build\template3\OWBasic\c
DEL /S /Q ..\build\template3\OWBasic\h
COPY /Y ..\..\..\OWBasic\sources.def ..\build\template3\OWBasic\sources.def
COPY /Y ..\..\..\OWBasic\makefile ..\build\template3\OWBasic\makefile
COPY ..\..\..\OWBasic\c\*.c ..\build\template3\OWBasic\c\*.c
COPY ..\..\..\OWBasic\c\*.a86 ..\build\template3\OWBasic\c\*.a86
COPY ..\..\..\OWBasic\h\*.h ..\build\template3\OWBasic\h\*.h

:: termlib
DEL /S /Q ..\build\template3\termlib\c
DEL /S /Q ..\build\template3\termlib\h
COPY /Y ..\..\..\termlib\sources.def ..\build\template3\termlib\sources.def
COPY /Y ..\..\..\termlib\makefile ..\build\template3\termlib\makefile
COPY ..\..\..\termlib\c\*.c ..\build\template3\termlib\c\*.c
COPY ..\..\..\termlib\c\*.a86 ..\build\template3\termlib\c\*.a86
COPY ..\..\..\termlib\h\*.h ..\build\template3\termlib\h\*.h

:: modecall
DEL /S /Q ..\build\template3\modecall\c
DEL /S /Q ..\build\template3\modecall\h
COPY /Y ..\..\..\modecall\sources.def ..\build\template3\modecall\sources.def
COPY /Y ..\..\..\modecall\makefile ..\build\template3\modecall\makefile
COPY ..\..\..\modecall\c\*.c ..\build\template3\modecall\c\*.c
COPY ..\..\..\modecall\c\*.a86 ..\build\template3\modecall\c\*.a86
COPY ..\..\..\modecall\h\*.h ..\build\template3\modecall\h\*.h

:: shared
DEL /S /Q ..\build\template3\shared\c
DEL /S /Q ..\build\template3\shared\h
COPY /Y ..\..\..\shared\sources.def ..\build\template3\shared\sources.def
COPY /Y ..\..\..\shared\makefile ..\build\template3\shared\makefile
COPY ..\..\..\shared\c\*.c ..\build\template3\shared\c\*.c
COP ..\..\..\shared\c\*.a86 ..\build\template3\shared\c\*.a86
COPY ..\..\..\shared\h\*.h ..\build\template3\shared\h\*.h


COPY /Y ..\..\changes%1.log ..\build\template3\OWBasic\changes%1.log
COPY /Y ..\..\ibuild\owb.dsc ..\build\template3\OWBasic\ibuild\owb.dsc
COPY /Y ..\..\ibuild\*.cpp ..\build\template3\OWBasic\ibuild\*.cpp
COPY /Y ..\..\ibuild\*.h ..\build\template3\OWBasic\ibuild\*.h
COPY /Y ..\..\menuicon\*.bmp ..\build\template3\OWBasic\menuicon\*.bmp

XCOPY /S /E ..\build\template3\*.* OWBsrc%2\*.*



::::::::::::::::::::::::::::::
:: fill OWBhsrc directory   ::
::::::::::::::::::::::::::::::

COPY ..\..\doc\help\owbm.src ..\build\template4\owbm.src
XCOPY /S /E ..\build\template4\*.* OWBhsrc%2\*.*



CLS
@ECHO Create OWBsrc%2.zip!
@ECHO Create OWBhsrc%2.zip!
PAUSE
